/* q_close - close the queue accessed via *frontp and *rearp */
#include "queue.h"
void q_close(frontp, rearp)
	Q_NODE **frontp, **rearp;
	{
	Q_NODE *p;
	Q_NODE *pnext;

	for (p = *frontp; p != NULL; p = pnext)
		{
		pnext = Q_NEXT(p);
		free(p);		/* p is (momentarily) undefined */
		}
	*frontp = *rearp = NULL;		/* prevent dangling ptr */
	}
